Model Version
ModelVersion object
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_versionPENDING_REGISTRATIONFAILED_REGISTRATIONREADY
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
Get a model version GA
GET
Get a model version.
API scopes: mlflow
Parameters
- namestringRequiredquery
Name of the registered model
- versionstringRequiredquery
Model version number
Response
- model_versionobject
Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_versionPENDING_REGISTRATIONFAILED_REGISTRATIONREADY
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
Create a model version GA
POST
Creates a model version.
API scopes: mlflow
Request body
- namestringRequired
Register model under this name
- sourcestringRequired
URI indicating the location of the model artifacts.
- run_idstring
MLflow run ID for correlation, if
sourcewas generated by an experiment run in MLflow tracking server
- tagsarray of object
Additional metadata for model version.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
MLflow run link - this is the exact link of the run that generated this model version, potentially hosted at another instance of MLflow.
- descriptionstring
Optional description for model version.
Response
- model_versionobject
Return new version number generated for this model in registry.
Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_versionPENDING_REGISTRATIONFAILED_REGISTRATIONREADY
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
Update model version GA
PATCH
Updates the model version.
API scopes: mlflow
Request body
- namestringRequired
Name of the registered model
- versionstringRequired
Model version number
- descriptionstring
If provided, updates the description for this
registered_model.
Response
- model_versionobject
Return new version number generated for this model in registry.
Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_versionPENDING_REGISTRATIONFAILED_REGISTRATIONREADY
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
Delete a model version GA
Search model versions GA
GET
Searches for specific model versions based on the supplied filter.
API scopes: mlflow
Parameters
- filterstringquery
String filter condition, like "name='my-model-name'". Must be a single boolean condition, with string values wrapped in single quotes.
- max_resultsint64<= 10000query
Maximum number of models desired. Max threshold is 10K.
- order_byarray of stringquery
List of columns to be ordered by including model name, version, stage with an optional "DESC" or "ASC" annotation, where "ASC" is the default. Tiebreaks are done by latest stage transition timestamp, followed by name ASC, followed by version DESC.
- page_tokenstringquery
Pagination token to go to next page based on previous search query.
Response
Returns a list of ModelVersion objects.
Get a model version URI GA
GET
Gets a URI to download the model version.
API scopes: mlflow
Parameters
- namestringRequiredquery
Name of the registered model
- versionstringRequiredquery
Model version number
Response
- artifact_uristring
URI corresponding to where artifacts for this model version are stored.
Set a version tag GA
POST
Sets a model version tag.
API scopes: mlflow
Request body
- namestringRequired
Unique name of the model.
- versionstringRequired
Model version number.
- keystringRequired
Name of the tag. Maximum size depends on storage backend. If a tag with this name already exists, its preexisting value will be replaced by the specified
value. All storage backends are guaranteed to support key values up to 250 bytes in size.
- valuestringRequired
String value of the tag being logged. Maximum size depends on storage backend. All storage backends are guaranteed to support key values up to 5000 bytes in size.
Delete a model version tag GA
DELETE
Deletes a model version tag.
API scopes: mlflow
Parameters
- namestringRequiredquery
Name of the registered model that the tag was logged under.
- versionstringRequiredquery
Model version number that the tag was logged under.
- keystringRequiredquery
Name of the tag. The name must be an exact match; wild-card deletion is not supported. Maximum size is 250 bytes.
Transition a stage GA
POST
Transition a model version's stage. This is a <Databricks> workspace version of the MLflow endpoint that also accepts a comment associated with the transition to be recorded.
API scopes: mlflow
Request body
- namestring[ 1 .. 100 ] charactersRequired
Name of the model.
- versionstringRequired
Version of the model.
- stagestringRequired
Target stage of the transition. Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- archive_existing_versionsbooleanRequired
Specifies whether to archive all current model versions in the target stage.
- commentstring[ 1 .. 65535 ] characters
User-provided comment on the action.
Response
- model_version_databricksobject
Updated model version
Show child attributesHide child attributes
- namestring[ 1 .. 100 ] characters
Name of the model.
- versionstring
Version of the model.
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- user_idstringemail
The username of the user that created the object.
- current_stagestring
- descriptionstring<= 65535 characters
User-specified description for the object.
- sourcestring
URI that indicates the location of the source model artifacts. This is used when creating the model version.
- run_idstringuuid
Unique identifier for the MLflow tracking run associated with the source model artifacts.
- statusstring
The status of the model version. Valid values are:
-
PENDING_REGISTRATION: Request to register a new model version is pending as server performs background tasks. -
FAILED_REGISTRATION: Request to register a new model version has failed. -
READY: Model version is ready for use.
PENDING_REGISTRATIONFAILED_REGISTRATIONREADY
-
- status_messagestring
Details on the current status, for example why registration failed.
- open_requestsarray of object
Open requests for this
model_versions. Gap in sequence number is intentional and is done in order to match field sequence numbers ofModelVersionproto messageShow child attributesHide child attributes
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- user_idstringemail
The username of the user that created the object.
- activity_typestring
Type of activity. Valid values are:
-
APPLIED_TRANSITION: User applied the corresponding stage transition. -
REQUESTED_TRANSITION: User requested the corresponding stage transition. -
CANCELLED_REQUEST: User cancelled an existing transition request. -
APPROVED_REQUEST: User approved the corresponding stage transition. -
REJECTED_REQUEST: User rejected the coressponding stage transition. -
SYSTEM_TRANSITION: For events performed as a side effect, such as archiving existing model versions in a stage.
APPLIED_TRANSITIONREQUESTED_TRANSITIONCANCELLED_REQUESTAPPROVED_REQUESTREJECTED_REQUESTNEW_COMMENTSYSTEM_TRANSITION
-
- commentstring[ 1 .. 65535 ] characters
User-provided comment associated with the activity, comment, or transition request.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- from_stagestring
Source stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- to_stagestring
Target stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- system_commentstring
Comment made by system, for example explaining an activity of type
SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
- available_actionsarray of string
Array of actions on the activity allowed for the current viewer.
APPROVE_TRANSITION_REQUESTREJECT_TRANSITION_REQUESTCANCEL_TRANSITION_REQUESTEDIT_COMMENTDELETE_COMMENT
- idstringuuid
Unique identifier for the object.
- permission_levelstring
Permission level of the requesting user on the object. For what is allowed at each level, see MLflow Model permissions.
CAN_MANAGECAN_EDITCAN_READCAN_MANAGE_STAGING_VERSIONSCAN_MANAGE_PRODUCTION_VERSIONSCAN_CREATE_REGISTERED_MODEL
- tagsarray of object
Array of tags that are associated with the model version.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
URL of the run associated with the model artifacts. This field is set at model version creation time only for model versions whose source run is from a tracking server that is different from the registry server.
- email_subscription_statusstring
Email Subscription Status: This is the subscription status of the user to the model version Users get subscribed by interacting with the model version.
ALL_EVENTSDEFAULTSUBSCRIBEDUNSUBSCRIBED
- feature_listobject
Feature lineage of
model_version.Show child attributesHide child attributes
- featuresarray of object
Show child attributesHide child attributes
- feature_table_namestring
Feature table name
- feature_namestring
Feature name
- feature_table_idstring
Feature table id